#include <stdio.h>
#include "../tester.h"
#include <string>
#include "../Polynom.impl.h"

struct Test {

  Test():Folder("Polynomdivision"){};
  const std::string Folder;
  void test(FILE* f_in, FILE* f_out, std::string& s);

};

void Test::test(FILE* f_in, FILE* f_out, std::string& s) {
  VarDump v;
  int num;
  fscanf(f_in,"%d\n", &num);
  std::string ss;
  char* c = new char[32];
  for (int i = 0; i != num; ++i) {
    fgets(c, 32, f_in);
    ss=c;
    ss.erase(ss.length() - 1);
    v.addVar(ss);
  }
  delete[] c;
  Polynom<int, lexC> p;
  Polynom<int, lexC> q;
  Polynombasis<int, lexC> P;
  p=v.freadPolynom<int, lexC>(f_in);
  fscanf(f_in,"%d\n", &num);
  for (int i = 0; i != num; ++i) {
    q=v.freadPolynom<int, lexC>(f_in);
    P.addPolynom(q);
  }
  p = p.getRemainder(P);
  v.fprintPolynom<int, lexC>(f_out, p);
}

int main () {
  Test t;
  Execute(t);
  return 0;
}
