/*
	На продолжения сторон треугольника ABC взяты точки A1, B1 и C1 так, что |AB1| = 2|AB|, |BC1| = 2|BC|, |CA1| = 2|AC|.
	Найти площадь треугольника A1B1C1, если известно, что площадь треугольника ABC равна 4.
	Ответ: 28
*/

Equal(PointDivideSegment(B, A, B1), 1);
Equal(PointDivideSegment(A, A1, C), 1);
Equal(PointDivideSegment(C, B, C1), 1);

Equal(TriangleArea(A, B, C), 4);

FindTriangleArea(A1, B1, C1); /* Возвращает квадрат площади треугольника */
