#!/bin/bash
n=0
all=0
for file in tasks/*.geo; do
	./solver $file > solveOut.out
	cmp solveOut.out $file.ans
	if [ $? -eq 1 ]; then
		echo "Solver did not pass $file"
	else
		let "n = n + 1"
	fi
	let "all = all + 1"
done
echo "Number of passed files: $n of $all"
rm -f solveOut.out
