#include "Polynom.impl.h"
#include <iostream>
#include "gmpint.h"

int main(){
  FILE *f;
  f = fopen("input", "r");
  VarDump v;
  int num;
  std::string ss, Type;
  char* c = new char[32];
  fgets(c, 32, f);
  Type=c;
  Type.erase(Type.length() - 1);
  fscanf(f,"%d\n", &num);
  for (int i = 0; i != num; ++i) {
    fgets(c, 32, f);
    ss=c;
    ss.erase(ss.length() - 1);
    v.addVar(ss);
  }
  delete[] c;
  if (Type == "lex") {
    Polynombasis<GMPint, lexC> p;
    Polynom<GMPint, lexC> p1;
    fscanf(f,"%d\n", &num);
    for (int i = 0; i != num; ++i) {
      p1=v.freadPolynom<GMPint, lexC>(f);
      p.addPolynom(p1);
    }
    fclose(f);
    p = p.makeBasis();
    f = fopen("output", "w");
    v.fprintBasis(f, p);
    fclose(f);
  }
  if (Type == "grlex") {
    Polynombasis<GMPint, grlexC> p;
    Polynom<GMPint, grlexC> p1;
    fscanf(f,"%d\n", &num);
    for (int i = 0; i != num; ++i) {
      p1=v.freadPolynom<GMPint, grlexC>(f);
      p.addPolynom(p1);
    }
    fclose(f);
    p = p.makeBasis();
    f = fopen("output", "w");
    v.fprintBasis(f, p);
    fclose(f);
  }
  if (Type == "grevlex") {
    Polynombasis<GMPint, grevlexC> p;
    Polynom<GMPint, grevlexC> p1;
    fscanf(f,"%d\n", &num);
    for (int i = 0; i != num; ++i) {
      p1=v.freadPolynom<GMPint, grevlexC>(f);
      p.addPolynom(p1);
    }
    fclose(f);
    p = p.makeBasis();
    f = fopen("output", "w");
    v.fprintBasis(f, p);
    fclose(f);
  }
}

