#include <stdio.h>
#include "../tester.h"
#include <string>
#include "../gmpint.h"

struct Test {

  Test():Folder("GMPint"){};
  const std::string Folder;
  void test(FILE* f_in, FILE* f_out, std::string& s);

};

void Test::test(FILE* f_in, FILE* f_out, std::string& s) {
  GMPint a,b;
  a.fread(f_in);
  b.fread(f_in);
  fprintf(f_out, "a = ");
  a.fprint(f_out);
  fprintf(f_out, "\nb = ");
  b.fprint(f_out);
  fprintf(f_out, "\na + b = ");
  (a+b).fprint(f_out);
  fprintf(f_out, "\na - b = ");
  (a-b).fprint(f_out);
  fprintf(f_out, "\na * b = ");
  (a*b).fprint(f_out);
  fprintf(f_out, "\na / b = ");
  (a/b).fprint(f_out);
  fprintf(f_out, "\na %% b = ");
  (a%b).fprint(f_out);
  fprintf(f_out, "\n");
}
     
int main () {
  Test t;
  Execute(t);
  return 0;
}

