/*
	Найти площадь равнобедренного треугольника, если основание его равно 10, 
	а длина высоты, проведенной к основанию, равна длине отрезка, 
	соединяющего середины основания и боковой стороны.
	Ответ: 25 / Sqrt(3)
*/
Equal(Distance(A, B), Distance(A, C));
Equal(Distance(B, C), 10);

PointInSegment(H, B, C);
Equal(Angle(A, H, C), Cos(90));
Equal(Angle(A, H, B), Cos(90));

Equal(Distance(A, H), Distance(Middle(B, C), Middle(A, B)));

FindTriangleArea(A, B, C); /* Возвращает квадрат площади треугольника */
